| Flutter Impeller |

Public Member Functions | Public Attributes | List of all members
impeller::RenderTargetConfig Struct Reference

`#include <render_target.h>`

## Public Member Functions
constexpr bool | operator== (const RenderTargetConfig &o) const
constexpr size_t | Hash () const

## Public Attributes
ISize | size = ISize{0, 0}
size_t | mip_count = 0
bool | has_msaa = false
bool | has_depth_stencil = false

## Detailed Description

Definition at line 21 of file render_target.h.

## Member Function Documentation

## ◆ Hash()

constexpr size_t impeller::RenderTargetConfig::Hash | ( |  | ) | const
| inlineconstexpr

Definition at line 32 of file render_target.h.

32 {
33 return fml::HashCombine(size.width, size.height, mip_count, has_msaa,
34 has_depth_stencil);
35 }
impeller::RenderTargetConfig::has_depth_stencil
bool has_depth_stencil
Definition: render_target.h:25
impeller::RenderTargetConfig::mip_count
size_t mip_count
Definition: render_target.h:23
impeller::RenderTargetConfig::size
ISize size
Definition: render_target.h:22
impeller::RenderTargetConfig::has_msaa
bool has_msaa
Definition: render_target.h:24
impeller::TSize::height
Type height
Definition: size.h:29
impeller::TSize::width
Type width
Definition: size.h:28

References has_depth_stencil, has_msaa, impeller::TSize< T >::height, mip_count, size, and impeller::TSize< T >::width.

## ◆ operator==()

constexpr bool impeller::RenderTargetConfig::operator== | ( | const RenderTargetConfig & | o | ) | const
| inlineconstexpr

Definition at line 27 of file render_target.h.

27 {
28 return size == o.size && mip_count == o.mip_count &&
29 has_msaa == o.has_msaa && has_depth_stencil == o.has_depth_stencil;
30 }

References has_depth_stencil, has_msaa, mip_count, and size.

## Member Data Documentation

## ◆ has_depth_stencil

bool impeller::RenderTargetConfig::has_depth_stencil = false

Definition at line 25 of file render_target.h.

Referenced by Hash(), and operator==().

## ◆ has_msaa

bool impeller::RenderTargetConfig::has_msaa = false

Definition at line 24 of file render_target.h.

Referenced by Hash(), and operator==().

## ◆ mip_count

size_t impeller::RenderTargetConfig::mip_count = 0

Definition at line 23 of file render_target.h.

Referenced by Hash(), and operator==().

## ◆ size

ISize impeller::RenderTargetConfig::size = ISize{0, 0}

Definition at line 22 of file render_target.h.

Referenced by impeller::RenderTargetCache::CreateOffscreen(), impeller::RenderTargetCache::CreateOffscreenMSAA(), Hash(), operator==(), and impeller::RenderTarget::ToConfig().

The documentation for this struct was generated from the following file:

- impeller/renderer/render_target.h